# stack-ssh-deploy

[![Build Status](https://drone.autonomic.zone/api/badges/autonomic-cooperative/stack-ssh-deploy/status.svg)](https://drone.autonomic.zone/autonomic-cooperative/stack-ssh-deploy)

Deploy swarm stacks against a SSH based remote docker daemon context.

## Publishing

If you push a commit to master, the [Drone config](./.drone.yml) will publish to [Docker Hub](https://hub.docker.com/r/decentral1se/stack-ssh-deploy).

## Example

```yaml
---
kind: pipeline
name: deploy to swarm
steps:
  - name: stack deploy
    image: decentral1se/stack-ssh-deploy:0.0.1
    settings:
      deploy_key:
        from_secret: drone_deploy_key
```
